#pragma once

#include "resource_manager.h"
#include "animation.h"

namespace Halley {
	class AnimationManager : public ResourceManager<Animation::Group> {
	public:
		AnimationManager(String basePath);

	protected:
		virtual shared_ptr<Animation::Group> load(String name);
	};
}
